Get all fields
Returns a list of all custom fields in your account.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/fields
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/fields");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/fields', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/fields"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/fields" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": { "id": null, "title": "Phone number", "account_id": null, "user_id": null, "created": null, "modified": null, "type": "text", "show": null, "field_name": "{$phone}", "position": null, "default": true }, "links": { "first": "https://api.sender.net/v2/fields?page=1", "last": "https://api.sender.net/v2/fields?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "pagination.previous", "active": false }, { "url": "https://api.sender.net/v2/fields?page=1", "label": 1, "active": true }, { "url": null, "label": "pagination.next", "active": false } ], "path": "https://api.sender.net/v2/fields", "per_page": 10, "to": 8, "total": 8 }}